Managed Service for PostgreSQL API, REST: Cluster.Create
- HTTP request
- Body parameters
- ConfigSpec
- PostgresqlConfig11
- PostgresqlConfig12
- PostgresqlConfig13
- PostgresqlConfig13_1C
- PostgresqlConfig14
- PostgresqlConfig14_1C
- PostgresqlConfig15
- PostgresqlConfig15_1C
- PostgresqlConfig16
- PostgresqlConfig16_1C
- PostgresqlConfig17
- PostgresqlConfig17_1C
- PostgresqlConfig18
- PostgresqlConfig18_1C
- ConnectionPoolerConfig
- Resources
- TimeOfDay
- Access
- PerformanceDiagnostics
- DiskSizeAutoscaling
- ClusterConnectionManager
- ManagedRepack
- DatabaseSpec
- Extension
- UserSpec
- Permission
- UserSettings
- PGAuditSettings
- UserConnectionManager
- HostSpec
- ConfigHostSpec
- PostgresqlHostConfig11
- PostgresqlHostConfig12
- PostgresqlHostConfig13
- PostgresqlHostConfig13_1C
- PostgresqlHostConfig14
- PostgresqlHostConfig14_1C
- PostgresqlHostConfig15
- PostgresqlHostConfig15_1C
- PostgresqlHostConfig16
- PostgresqlHostConfig16_1C
- PostgresqlHostConfig17
- PostgresqlHostConfig17_1C
- PostgresqlHostConfig18
- PostgresqlHostConfig18_1C
- MaintenanceWindow
- WeeklyMaintenanceWindow
- BackupRetentionPolicySpec
- CronTab
- Response
- CreateClusterMetadata
- OperationLog
- ClusterEntity
- HostEntity
- Status
- Cluster
- Monitoring
- ClusterConfig
- PostgresqlConfigSet11
- PostgresqlConfig11
- PostgresqlConfigSet12
- PostgresqlConfig12
- PostgresqlConfigSet13
- PostgresqlConfig13
- PostgresqlConfigSet13_1C
- PostgresqlConfig13_1C
- PostgresqlConfigSet14
- PostgresqlConfig14
- PostgresqlConfigSet14_1C
- PostgresqlConfig14_1C
- PostgresqlConfigSet15
- PostgresqlConfig15
- PostgresqlConfigSet15_1C
- PostgresqlConfig15_1C
- PostgresqlConfigSet16
- PostgresqlConfig16
- PostgresqlConfigSet16_1C
- PostgresqlConfig16_1C
- PostgresqlConfigSet17
- PostgresqlConfig17
- PostgresqlConfigSet17_1C
- PostgresqlConfig17_1C
- PostgresqlConfigSet18
- PostgresqlConfig18
- PostgresqlConfigSet18_1C
- PostgresqlConfig18_1C
- ConnectionPoolerConfig
- Resources
- TimeOfDay
- Access
- PerformanceDiagnostics
- DiskSizeAutoscaling
- ClusterConnectionManager
- ManagedRepack
- MaintenanceWindow
- WeeklyMaintenanceWindow
- MaintenanceOperation
Creates a PostgreSQL cluster in the specified folder.
HTTP request
POST https://mdb.api.yandexcloud.kz/managed-postgresql/v1/clusters
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"environment": "string",
"configSpec": {
"version": "string",
// Includes only one of the fields `postgresqlConfig_11`, `postgresqlConfig_12`, `postgresqlConfig_13`, `postgresqlConfig_13_1c`, `postgresqlConfig_14`, `postgresqlConfig_14_1c`, `postgresqlConfig_15`, `postgresqlConfig_15_1c`, `postgresqlConfig_16`, `postgresqlConfig_16_1c`, `postgresqlConfig_17`, `postgresqlConfig_17_1c`, `postgresqlConfig_18`, `postgresqlConfig_18_1c`
"postgresqlConfig_11": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_12": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_13": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_13_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"vacuumCleanupIndexScaleFactor": "number",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string"
},
"postgresqlConfig_14": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_14_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_15": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_15_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_16": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_16_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"pgHintPlanHintsAnywhere": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_17": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_17_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string"
},
"postgresqlConfig_18": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"vacuumTruncate": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string",
"maxActiveReplicationOrigins": "string"
},
"postgresqlConfig_18_1c": {
"maxConnections": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"maxPreparedTransactions": "string",
"workMem": "string",
"maintenanceWorkMem": "string",
"autovacuumWorkMem": "string",
"tempFileLimit": "string",
"vacuumCostDelay": "string",
"vacuumCostPageHit": "string",
"vacuumCostPageMiss": "string",
"vacuumCostPageDirty": "string",
"vacuumCostLimit": "string",
"bgwriterDelay": "string",
"bgwriterLruMaxpages": "string",
"bgwriterLruMultiplier": "number",
"bgwriterFlushAfter": "string",
"backendFlushAfter": "string",
"walLevel": "string",
"synchronousCommit": "string",
"checkpointTimeout": "string",
"checkpointCompletionTarget": "number",
"checkpointFlushAfter": "string",
"maxWalSize": "string",
"minWalSize": "string",
"maxStandbyStreamingDelay": "string",
"defaultStatisticsTarget": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"autovacuumMaxWorkers": "string",
"autovacuumVacuumCostDelay": "string",
"autovacuumVacuumCostLimit": "string",
"autovacuumNaptime": "string",
"archiveTimeout": "string",
"trackActivityQuerySize": "string",
"onlineAnalyzeEnable": "boolean",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxWorkerProcesses": "string",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"autovacuumVacuumScaleFactor": "number",
"autovacuumAnalyzeScaleFactor": "number",
"defaultTransactionReadOnly": "boolean",
"timezone": "string",
"enableParallelAppend": "boolean",
"enableParallelHash": "boolean",
"enablePartitionPruning": "boolean",
"enablePartitionwiseAggregate": "boolean",
"enablePartitionwiseJoin": "boolean",
"jit": "boolean",
"maxParallelMaintenanceWorkers": "string",
"parallelLeaderParticipation": "boolean",
"logTransactionSampleRate": "number",
"planCacheMode": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"sharedPreloadLibraries": [
"string"
],
"autoExplainLogMinDuration": "string",
"autoExplainLogAnalyze": "boolean",
"autoExplainLogBuffers": "boolean",
"autoExplainLogTiming": "boolean",
"autoExplainLogTriggers": "boolean",
"autoExplainLogVerbose": "boolean",
"autoExplainLogNestedStatements": "boolean",
"autoExplainSampleRate": "number",
"pgHintPlanEnableHint": "boolean",
"pgHintPlanEnableHintTable": "boolean",
"pgHintPlanDebugPrint": "string",
"pgHintPlanMessageLevel": "string",
"hashMemMultiplier": "number",
"logicalDecodingWorkMem": "string",
"maintenanceIoConcurrency": "string",
"maxSlotWalKeepSize": "string",
"walKeepSize": "string",
"enableIncrementalSort": "boolean",
"autovacuumVacuumInsertThreshold": "string",
"autovacuumVacuumInsertScaleFactor": "number",
"logMinDurationSample": "string",
"logStatementSampleRate": "number",
"logParameterMaxLength": "string",
"logParameterMaxLengthOnError": "string",
"clientConnectionCheckInterval": "string",
"enableAsyncAppend": "boolean",
"enableGathermerge": "boolean",
"enableMemoize": "boolean",
"logRecoveryConflictWaits": "boolean",
"vacuumFailsafeAge": "string",
"vacuumMultixactFailsafeAge": "string",
"pgQualstatsEnabled": "boolean",
"pgQualstatsTrackConstants": "boolean",
"pgQualstatsMax": "string",
"pgQualstatsResolveOids": "boolean",
"pgQualstatsSampleRate": "number",
"plantunerFixEmptyTable": "boolean",
"maxStackDepth": "string",
"enableGroupByReordering": "boolean",
"geqo": "boolean",
"geqoThreshold": "string",
"geqoEffort": "string",
"geqoPoolSize": "string",
"geqoGenerations": "string",
"geqoSelectionBias": "number",
"geqoSeed": "number",
"pgTrgmSimilarityThreshold": "number",
"pgTrgmWordSimilarityThreshold": "number",
"pgTrgmStrictWordSimilarityThreshold": "number",
"maxStandbyArchiveDelay": "string",
"sessionDurationTimeout": "string",
"logReplicationCommands": "boolean",
"logAutovacuumMinDuration": "string",
"passwordEncryption": "string",
"autoExplainLogFormat": "string",
"trackCommitTimestamp": "boolean",
"maxLogicalReplicationWorkers": "string",
"maxWalSenders": "string",
"maxReplicationSlots": "string",
"idleSessionTimeout": "string",
"checkpointWarning": "string",
"vacuumTruncate": "boolean",
"autovacuumVacuumThreshold": "string",
"autovacuumAnalyzeThreshold": "string",
"maxActiveReplicationOrigins": "string"
},
// end of the list of possible fields
"poolerConfig": {
"poolingMode": "string",
"poolDiscard": "boolean"
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"autofailover": "boolean",
"backupWindowStart": {
"hours": "integer",
"minutes": "integer",
"seconds": "integer",
"nanos": "integer"
},
"backupRetainPeriodDays": "string",
"access": {
"dataLens": "boolean",
"webSql": "boolean",
"serverless": "boolean",
"dataTransfer": "boolean",
"yandexQuery": "boolean"
},
"performanceDiagnostics": {
"enabled": "boolean",
"sessionsSamplingInterval": "string",
"statementsSamplingInterval": "string",
"advancedMode": "boolean"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
},
"connectionManager": {
"enabled": "boolean",
"connectionsFolderId": "string",
"secretsFolderId": "string"
},
"managedRepack": {
"enabled": "boolean"
}
},
"databaseSpecs": [
{
"name": "string",
"owner": "string",
"lcCollate": "string",
"lcCtype": "string",
"extensions": [
{
"name": "string",
"version": "string"
}
],
"templateDb": "string",
"deletionProtection": "boolean"
}
],
"userSpecs": [
{
"name": "string",
"password": "string",
"permissions": [
{
"databaseName": "string"
}
],
"connLimit": "string",
"settings": {
"defaultTransactionIsolation": "string",
"lockTimeout": "string",
"logMinDurationStatement": "string",
"synchronousCommit": "string",
"tempFileLimit": "string",
"logStatement": "string",
"poolMode": "string",
"preparedStatementsPooling": "boolean",
"catchupTimeout": "string",
"walSenderTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"statementTimeout": "string",
"pgaudit": {
"log": [
"string"
]
},
"idleSessionTimeout": "string"
},
"login": "boolean",
"grants": [
"string"
],
"deletionProtection": "boolean",
"userPasswordEncryption": "string",
"generatePassword": "boolean",
"authMethod": "string",
"userConnectionManager": {
"connectionId": "string",
"connectionFolderId": "string",
"secretFolderId": "string"
}
}
],
"hostSpecs": [
{
"zoneId": "string",
"subnetId": "string",
"assignPublicIp": "boolean",
"replicationSource": "string",
"priority": "string",
"configSpec": {
// Includes only one of the fields `postgresqlConfig_11`, `postgresqlConfig_12`, `postgresqlConfig_13`, `postgresqlConfig_13_1c`, `postgresqlConfig_14`, `postgresqlConfig_14_1c`, `postgresqlConfig_15`, `postgresqlConfig_15_1c`, `postgresqlConfig_16`, `postgresqlConfig_16_1c`, `postgresqlConfig_17`, `postgresqlConfig_17_1c`, `postgresqlConfig_18`, `postgresqlConfig_18_1c`
"postgresqlConfig_11": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_12": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_13": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_13_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_14": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_14_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_15": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_15_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_16": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_16_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
[...]
